import { Arc } from "../../derivable";
import { CombinedArc } from "../../derivable/arcs";
import { Bez3Slice } from "../shared/slice-arc";
export declare class FairizeCombinedArc extends CombinedArc<Bez3Slice> {
    constructor(arcs: Bez3Slice[]);
    reduceIfStraight(): Arc;
}
